<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.gazpacholoader.GazpachoWidgetTree&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.g.GazpachoWidgetTree:</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.gazpacholoader.html">gazpacholoader</a></span>
      
      <a href="classIndex.html#kiwi.ui.gazpacholoader.GazpachoWidgetTree">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>Example class of GladeAdaptor that uses Gazpacho loader to load the 
glade files
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id306">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#_on_load_warning">_on_load_warning</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#_attach_widgets">_attach_widgets</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#get_widget">get_widget</a></td>
    <td><span>Retrieves the named widget from the View (or glade tree)
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#get_widgets">get_widgets</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#signal_autoconnect">signal_autoconnect</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html#get_sizegroups">get_sizegroups</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, view, gladefile, domain=None):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree._on_load_warning"></a>
        <a name="_on_load_warning"></a>
        <div class="functionHeader">
        
        def _on_load_warning(self, warning, category, file, line):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree._attach_widgets"></a>
        <a name="_attach_widgets"></a>
        <div class="functionHeader">
        
        def _attach_widgets(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree.get_widget"></a>
        <a name="get_widget"></a>
        <div class="functionHeader">
        
        def get_widget(self, name):
        
      </div>
        <div class="functionBody">
          
          <div>Retrieves the named widget from the View (or glade tree)
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree.get_widgets"></a>
        <a name="get_widgets"></a>
        <div class="functionHeader">
        
        def get_widgets(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree.signal_autoconnect"></a>
        <a name="signal_autoconnect"></a>
        <div class="functionHeader">
        
        def signal_autoconnect(self, dic):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree.get_sizegroups"></a>
        <a name="get_sizegroups"></a>
        <div class="functionHeader">
        
        def get_sizegroups(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>